Some functionality will be unavailable due to scheduled maintenance from 06:00 until 12:00 Sunday 25 February 2024. We apologise for any inconvenience caused.

Google Chrome and Microsoft Edge are in the process of rolling out a version update which is impacting some nabtrade functionality, including buy/sell buttons and certain page loads. If you are a Chrome or Edge user and are experiencing these problems, please visit the following FAQ to review the steps that need to be taken to prevent this issue from occurring.

What are the software or browser requirements for IRESS ViewPoint?

One of the major benefits of ViewPoint is there is no requirement for Java which Trader required. This means ViewPoint is compatible with the following browser technologies:

  • Chrome (latest version)
  • Mozilla FireFox (latest version)
  • Safari (latest version)
  • Microsoft Edge (latest version)
  • Internet Explorer (11.0.14; 11.0.9600.17420)

For the best experience we recommend updating your browsers to the latest versions available. To help with this, we encourage you to have your browsers on an auto update schedule. Browsers such as Chrome and Mozilla FireFox will update in the background when you close and reopen your computer's browser.

Along with improvements that come with browser updates for security reasons, it’s always a good idea to install updates when they are made available.

Links to download the latest browser versions can be found below: